org.apache.ignite.cache.store.jdbc

## Interface JdbcTypesTransformer

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JdbcTypesDefaultTransformer

    public interface JdbcTypesTransformer
    extends Serializable

API for implementing custom mapping logic for loaded from store data.

### Field Summary

Fields
`static List<Integer>` `NUMERIC_TYPES` Numeric types.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getColumnValue(ResultSet rs, int colIdx, Class<?> type)` Retrieves the value of the designated column in the current row of this `ResultSet` object and will convert to the requested Java data type.

### Field Detail

#### NUMERIC_TYPES

    static final List<Integer> NUMERIC_TYPES

Numeric types.

### Method Detail

#### getColumnValue

    Object getColumnValue(ResultSet rs,
                          int colIdx,
                          Class<?> type)
                   throws SQLException

Retrieves the value of the designated column in the current row of this `ResultSet` object and will convert to the requested Java data type.

Parameters:
  `rs` - Result set.
  `colIdx` - Column index in result set.
  `type` - Class representing the Java data type to convert the designated column to.
Returns:
  Value in column.
Throws:
  `SQLException` - If a database access error occurs or this method is called.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020